header {
    height: 45px;
    background-color: #fff;
    text-align: center;
    line-height: 45px;
    border-bottom: 1px solid #e8e8e8;
    font-size: 18px;
    font-weight: 600;
    position: fixed;
    top: 0;
    z-index: 1000;
    width: 100%;
}

header>h1 {
    font-size: 18px;
    font-weight: 600;
}

.content {
    padding: 10px 0;
    margin-top: 45px;
}

.content .productItem {
    padding: 0 10px;
    margin-bottom: 16px;
    display: flex;
    align-items: center;
}

.content .productItem .img {
    height: 124px;
    width: 124px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 0 4px 0 rgba(0, 0, 0, .12);
    border-radius: 4px;
    position: relative;
}

.content .productItem .img .display_box {
    position: absolute;
    top: 4px;
    left: 4px;
    width: 36px;
    height: 18px;
    line-height: 18px;
    text-align: center;
    background: #fadb5f;
    border-radius: 2px;
    font-size: 10px;
    color: #333;
}

.content .productItem .img .activity_tags {
    position: absolute;
    bottom: 4px;
    left: 4px;
    height: 18px;
    border-radius: 2px;
    padding: 0 6px;
    line-height: 18px;
    font-size: 10px;
}

.content .productItem .details {
    flex: 1 1;
    width: calc(100% - 144px);
    box-sizing: border-box;
    margin-left: 12px;
}

.content .productItem .details .title {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    word-wrap: break-word;
    font-size: 14px;
    color: #333;
    line-height: 18px;
}

.content .productItem .details .star-comtent-thumb {
    display: flex;
    align-items: center;
    margin-top: 4px;
}

.content .productItem .details .star-comtent-thumb .icon-thumb {
    background-image: url('../img/wap-icon.svg');
    display: inline-block;
    width: 17px;
    height: 16px;
    background-position: -624px -31px;
    -webkit-transform: scale(.7);
    transform: scale(.7);
}

.content .productItem .details .star-comtent-thumb .number {
    color: #d4d4d4;
    font-size: 12px;
    margin-right: 10px;
}

.content .productItem .details .price-code {
    margin: 5px 0;
}

.content .productItem .details .price-code .price {
    font-size: 18px;
    color: #fe1818;
    font-weight: 700;
}

.content .productItem .details .price-code s {
    margin-left: 4px;
    font-size: 12px;
    color: #999;
}

.content .productItem .details .displayText {
    color: #999;
    font-size: 12px;
    display: flex;
    justify-content: space-between;
}

.content .productItem .details .displayText button {
    height: 26px;
    width: 80px;
    font-size: 12px;
    color: #fff;
    border-radius: 4px;
    background: rgb(97, 219, 226);
    border: none;
    position: relative;
    bottom: 14px;
}

.popup-content {
    text-align: center;
    font-family: 'Helvetica Neue', Arial, sans-serif;
    color: #333;
}

.popup-content h3 {
    margin-bottom: 15px;
    font-size: 20px;
    font-weight: bold;
    color: #3fd6dd;
    /* 主题色标题 */
}

.popup-content p {
    margin: 8px 0;
    line-height: 1.6;
    font-size: 14px;
}

.popup-content .highlight {
    margin-top: 15px;
    font-weight: 600;
    color: #3fd6dd;
}

.popup-actions {
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.popup-content .button1 {
    width: 100%;
    background: #3fd6dd;
    color: #fff;
    border-radius: 20px;
    margin-top: 20px;
}

.popup-content .button2 {
    width: 100%;
    border-radius: 20px;
    margin-top: 10px;
}

.star {
    display: inline-block;
    width: 65px;
    height: 12px;
}

.star0 {
    background-position: -80px -31px;
}

.star1 {
    background-position: -153px -31px;
}

.star2 {
    background-position: -227px -31px;
}

.star3 {
    background-position: -304px -31px;
}

.star4 {
    background-position: -0px -31px;
}

.star5 {
    background-position: -362px -48px;
}

.star6 {
    background-position: 0 -48px;
}

.star7 {
    background-position: -81px -48px;
}

.star8 {
    background-position: -151px -48px;
}

.star9 {
    background-position: -221px -48px;
}

.star10 {
    background-position: -295px -48px;
}